Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.user
Interface UserNameProvider

    public interface UserNameProvider

Interface to be implemented by components that are capable of returning the name of entities when running as internal components.

Author:
  Gaston Dombiak

Method Summary
`String` | `getUserName(JID entity)` Returns the name of the entity specified by the following JID.

Method Detail

### getUserName

    String getUserName(JID entity)

  Returns the name of the entity specified by the following JID.

  Parameters:
    `entity` - JID of the entity to return its name.
  Returns:
    the name of the entity specified by the following JID.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.